import { build } from "esbuild";
import glob from "fast-glob";

const entryPoints = await glob("./src/client/typescript/**/*");

build({
    entryPoints,
    // outBase: "",
    outdir: "./src/client/public/js",
    bundle: true,
    target: ["es6"],
    format: "iife",
    sourcemap: false,
    loader: {".ts": "ts"},
    minify: true
}).catch(() => process.exit(1));